package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 逆向表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvReverseOrderDao;
import com.heyu.api.data.entity.vv.VvReverseOrderEntity;
import com.heyu.api.data.service.vv.VvReverseOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvReverseOrderServiceImpl extends ServiceImpl<VvReverseOrderDao, VvReverseOrderEntity> implements VvReverseOrderService {


    @Autowired
	private VvReverseOrderDao vvReverseOrderDao;



	@Override
	public VvReverseOrderEntity selectVvReverseOrderById(Long id){
		return vvReverseOrderDao.selectVvReverseOrderById(id);
	}



	@Override
	public Long insertVvReverseOrder(VvReverseOrderEntity vvReverseOrder){
		return vvReverseOrderDao.insertVvReverseOrder(vvReverseOrder);
	}



	@Override
	public Long insertOrUpdateVvReverseOrder(VvReverseOrderEntity vvReverseOrder){
		return vvReverseOrderDao.insertOrUpdateVvReverseOrder(vvReverseOrder);
	}



	@Override
	public int updateVvReverseOrderById(VvReverseOrderEntity vvReverseOrder){
		return vvReverseOrderDao.updateVvReverseOrderById(vvReverseOrder);
	}



	@Override
	public int updateCoverVvReverseOrderById(VvReverseOrderEntity vvReverseOrder){
		return vvReverseOrderDao.updateCoverVvReverseOrderById(vvReverseOrder);
	}



	@Override
	public int deleteVvReverseOrderById(Long id){
		return vvReverseOrderDao.deleteVvReverseOrderById(id);
	}



}
